<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/actividad.php");
  $actividad=new actividad;
  include_once($ruta."funciones/funciones.php");
  session_start(); 
   $fechaHoy=date('Y-m-d');
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="COBRO DE CUOTAS DE ACTIVIDADES";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1116;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
            <div class="row">
              <div class="col s12 m12 l12" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <?php echo $hd_titulo; ?>
              </div>
            </div>
              
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row" >
              <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                        
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Actividad</th> 
                      <th>Monto Cuota</th> 
                      <th>Fecha Limite</th> 
                      <th>Fecha Actividad</th> 
                      <th>Descripción</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>Actividad</th> 
                      <th>Monto Cuota</th> 
                      <th>Fecha Limite</th> 
                      <th>Fecha Actividad</th> 
                      <th>Descripción</th>
                      <th>Acciones</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    $contar=0;
                    foreach($actividad->mostrarTodo("estado=1") as $f)
                    {
                                        
                      $lblcode=ecUrl($f['idactividad']);
                      $contar++;
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $f['nombre'] ?></td>
                      <td><?php echo number_format($f['cuota'], 2, '.', '') ?></td>
                      <td><?php echo $f['fechalimite'] ?></td>
                      <td><?php echo $f['fechaactividad'] ?></td>
                      <td><?php echo $f['descripcion'] ?></td>
                      <td>
                        <a href="listar.php?lblcode=<?php echo $lblcode ?>" class="btn-jh waves-effect darken-4 blue"><i class="fa fa-money"></i> Revisar cuotas</a>
                                                
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
              </div>
            </div>     
            </div>
          
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 1, "asc" ]],
        buttons: [
          'excel'
          //  'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example3').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "asc" ]],
        buttons: [
          //  'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
         
    });
    //0=fecha actual dia
    //1=fecha cambiado
  function elim(id)
  {
     swal({
                  title: "¿Esta seguro?",
                  text: "ALIMINAR",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#2c2a6c",
                  confirmButtonText: "Si, estoy seguro",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                 // var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "eliminar.php",
                    type: "POST",
                    data: "idcategoria="+id,
                    success: function(resp){
                      //alert(resp);
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
  function listarchofer(id)
  {
    $("#idplacarfidIMP").val(id);
    $('#modal1').openModal();
    
  }
  function asignar(id)
  {
    idplacarImp=$("#idplacarfidIMP").val();
    swal({
                  title: "¿Esta seguro?",
                  text: "Se asignará el dispositivo RFID",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#2c2a6c",
                  confirmButtonText: "Registrar",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "asignar/guardar.php",
                    type: "POST",
                    data: "idadmejecutivo="+id+"&idplacarfid="+idplacarImp,
                    success: function(resp){
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
function desasignar(id,idasig)
  {
    swal({
                  title: "¿Esta seguro?",
                  text: "Se desasignará el dispositivo RFID",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#AC0000",
                  confirmButtonText: "Desasignar",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "desasignar/guardar.php",
                    type: "POST",
                    data: "idplacarfid="+id+"&idplacarfidasig="+idasig,
                    success: function(resp){
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
  function darbaja(id,idasig)
  {

    if (idasig=='') 
    {
      idasig=0;
    }
     //alert(idasig);
    swal({
                  title: "¿Esta seguro?",
                  text: "Se dar de baja el dispositivo RFID",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#AC0000",
                  confirmButtonText: "Dar de baja",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "desasignar/dardebaja.php",
                    type: "POST",
                    data: "idplacarfid="+id+"&idplacarfidasig="+idasig,
                    success: function(resp){
                      //alert(resp);
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
    </script>
</body>

</html>